xgboost

Public Member Functions | Protected Attributes | List of all members
xgboost::JsonWriter Class Reference

`#include <json_io.h>`

Inheritance diagram for xgboost::JsonWriter:
Collaboration diagram for xgboost::JsonWriter:

## Public Member Functions
| JsonWriter (std::vector< char > *stream)
virtual | ~JsonWriter ()=default
virtual void | Save (Json json)
virtual void | Visit (JsonArray const *arr)
virtual void | Visit (F32Array const *arr)
virtual void | Visit (U8Array const *arr)
virtual void | Visit (I32Array const *arr)
virtual void | Visit (I64Array const *arr)
virtual void | Visit (JsonObject const *obj)
virtual void | Visit (JsonNumber const *num)
virtual void | Visit (JsonInteger const *num)
virtual void | Visit (JsonNull const *null)
virtual void | Visit (JsonString const *str)
virtual void | Visit (JsonBoolean const *boolean)

## Protected Attributes
std::vector< char > * | stream_

## Constructor & Destructor Documentation

## ◆ JsonWriter()

xgboost::JsonWriter::JsonWriter | ( | std::vector< char > * | stream | ) |
| inline explicit

## ◆ ~JsonWriter()

virtual xgboost::JsonWriter::~JsonWriter | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ Save()

virtual void xgboost::JsonWriter::Save | ( | Json | json | ) |
| virtual

Reimplemented in xgboost::UBJWriter.

## ◆ Visit() [1/11]

virtual void xgboost::JsonWriter::Visit | ( | F32Array const * | arr | ) |
| virtual

## ◆ Visit() [2/11]

virtual void xgboost::JsonWriter::Visit | ( | I32Array const * | arr | ) |
| virtual

## ◆ Visit() [3/11]

virtual void xgboost::JsonWriter::Visit | ( | I64Array const * | arr | ) |
| virtual

## ◆ Visit() [4/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonArray const * | arr | ) |
| virtual

## ◆ Visit() [5/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonBoolean const * | boolean | ) |
| virtual

## ◆ Visit() [6/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonInteger const * | num | ) |
| virtual

## ◆ Visit() [7/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonNull const * | null | ) |
| virtual

## ◆ Visit() [8/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonNumber const * | num | ) |
| virtual

## ◆ Visit() [9/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonObject const * | obj | ) |
| virtual

## ◆ Visit() [10/11]

virtual void xgboost::JsonWriter::Visit | ( | JsonString const * | str | ) |
| virtual

## ◆ Visit() [11/11]

virtual void xgboost::JsonWriter::Visit | ( | U8Array const * | arr | ) |
| virtual

## Member Data Documentation

## ◆ stream_

std::vector<char>* xgboost::JsonWriter::stream_
| protected

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json_io.h